var UserManual_Generalities =
[
    [ "Writing Functions Taking Eigen Types as Parameters", "TopicFunctionTakingEigenTypes.html", [
      [ "Some First Examples", "TopicFunctionTakingEigenTypes.html#TopicFirstExamples", null ],
      [ "How to write generic, but non-templated function?", "TopicFunctionTakingEigenTypes.html#TopicUsingRefClass", null ],
      [ "In which cases do functions taking plain Matrix or Array arguments work?", "TopicFunctionTakingEigenTypes.html#TopicPlainFunctionsWorking", null ],
      [ "In which cases do functions taking a plain Matrix or Array argument fail?", "TopicFunctionTakingEigenTypes.html#TopicPlainFunctionsFailing", null ],
      [ "How to resize matrices in generic implementations?", "TopicFunctionTakingEigenTypes.html#TopicResizingInGenericImplementations", null ],
      [ "Summary", "TopicFunctionTakingEigenTypes.html#TopicSummary", null ]
    ] ],
    [ "Preprocessor directives", "TopicPreprocessorDirectives.html", [
      [ "Macros with major effects", "TopicPreprocessorDirectives.html#TopicPreprocessorDirectivesMajor", null ],
      [ "C++ standard features", "TopicPreprocessorDirectives.html#TopicPreprocessorDirectivesCppVersion", null ],
      [ "Assertions", "TopicPreprocessorDirectives.html#TopicPreprocessorDirectivesAssertions", null ],
      [ "Alignment, vectorization and performance tweaking", "TopicPreprocessorDirectives.html#TopicPreprocessorDirectivesPerformance", null ],
      [ "Plugins", "TopicPreprocessorDirectives.html#TopicPreprocessorDirectivesPlugins", null ],
      [ "Macros for Eigen developers", "TopicPreprocessorDirectives.html#TopicPreprocessorDirectivesDevelopers", null ]
    ] ],
    [ "Assertions", "TopicAssertions.html", [
      [ "Assertions", "TopicAssertions.html#PlainAssert", [
        [ "Redefining assertions", "TopicAssertions.html#RedefineAssert", null ],
        [ "Disabling assertions", "TopicAssertions.html#DisableAssert", null ]
      ] ],
      [ "Static assertions", "TopicAssertions.html#StaticAssert", [
        [ "Derived static assertions", "TopicAssertions.html#DerivedStaticAssert", [
          [ "Strict assertions", "TopicAssertions.html#StrictAssertions", null ],
          [ "Permissive assertions", "TopicAssertions.html#PermissiveAssertions", null ]
        ] ],
        [ "Disabling static assertions", "TopicAssertions.html#DisableStaticAssert", null ]
      ] ]
    ] ],
    [ "Eigen and multi-threading", "TopicMultiThreading.html", [
      [ "Make Eigen run in parallel", "TopicMultiThreading.html#TopicMultiThreading_MakingEigenMT", null ],
      [ "Using Eigen in a multi-threaded application", "TopicMultiThreading.html#TopicMultiThreading_UsingEigenWithMT", null ]
    ] ],
    [ "Using BLAS/LAPACK from Eigen", "TopicUsingBlasLapack.html", null ],
    [ "Using Intel® MKL from Eigen", "TopicUsingIntelMKL.html", [
      [ "Links", "TopicUsingIntelMKL.html#TopicUsingIntelMKL_Links", null ]
    ] ],
    [ "Using Eigen in CUDA kernels", "TopicCUDA.html", null ],
    [ "Common pitfalls", "TopicPitfalls.html", [
      [ "Compilation error with template methods", "TopicPitfalls.html#TopicPitfalls_template_keyword", null ],
      [ "Aliasing", "TopicPitfalls.html#TopicPitfalls_aliasing", null ],
      [ "Alignment Issues (runtime assertion)", "TopicPitfalls.html#TopicPitfalls_alignment_issue", null ],
      [ "C++11 and the auto keyword", "TopicPitfalls.html#TopicPitfalls_auto_keyword", null ],
      [ "Header Issues (failure to compile)", "TopicPitfalls.html#TopicPitfalls_header_issues", null ],
      [ "Ternary operator", "TopicPitfalls.html#TopicPitfalls_ternary_operator", null ],
      [ "Pass-by-value", "TopicPitfalls.html#TopicPitfalls_pass_by_value", null ],
      [ "Matrices with boolean coefficients", "TopicPitfalls.html#TopicPitfalls_matrix_bool", null ]
    ] ],
    [ "The template and typename keywords in C++", "TopicTemplateKeyword.html", [
      [ "Using the template and typename keywords to define templates", "TopicTemplateKeyword.html#TopicTemplateKeywordToDefineTemplates", null ],
      [ "An example showing the second use of the template keyword", "TopicTemplateKeyword.html#TopicTemplateKeywordExample", null ],
      [ "Explanation", "TopicTemplateKeyword.html#TopicTemplateKeywordExplanation", null ],
      [ "Resources for further reading", "TopicTemplateKeyword.html#TopicTemplateKeywordResources", null ]
    ] ],
    [ "Understanding Eigen", "UserManual_UnderstandingEigen.html", "UserManual_UnderstandingEigen" ],
    [ "Using Eigen in CMake Projects", "TopicCMakeGuide.html", null ]
];